<div class="jobdesigner">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="input-group">
          <div class="input-group-btn">
            <button type="button" class="btn btn-default designer-save">
              <span class="glyphicon glyphicon-floppy-disk"></span>
              Save
            </button>
          </div>
          <div class="input-group-btn">
            <button type="button" class="btn btn-default designer-load">
              <span class="glyphicon glyphicon-folder-open"></span>
              Load
            </button>
          </div>
          <div class="input-group-btn">
            <button type="button" class="btn btn-default designer-submit">
              <span class="glyphicon glyphicon-play"></span>
              Submit
            </button>
          </div>
          <input type="text" class="form-control designer-command" title="command" placeholder="Command">
          <span class="input-group-addon">
            <span class="help-icon" tabindex="0" role="button" data-trigger="focus" data-toggle="popover" data-placement="bottom" data-content="Type in the main command to execute your analysis here.">
              <span class="glyphicon glyphicon-question-sign"></span>
            </span>
          </span>
          <span class="input-group-addon">
            Number of Jobs:
            <span class="number-of-jobs"></span>
          </span>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-md-6">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4>
            <button type="button" class="btn btn-default btn-sm add-option">
              <span class="glyphicon glyphicon-plus"></span>
            </button>
            Options
            <span class="help-icon" tabindex="0" role="button" data-toggle="popover" data-placement="left" data-trigger="focus" data-content="Options are additional commands that inserted behind the main command. If multiple options exist all possible combinations
            are formed.">
              <span class="glyphicon glyphicon-question-sign"></span>
            </span>
            </h4>
          </div>
          <table class="options-table tree">
            <thead>
              <tr>
                <th>
                  <input type="checkbox" class="all-options-checkbox" title="set all options active/inactive">
                </th>
                <th>
                  Name
                </th>
                <th>
                  Default Value
                </th>
                <th>
                  Modifier
                </th>
                <th></th>
              </tr>
            </thead>
            <tbody class="options-table-body" data-bind="options-table-body">
              <tr data-bind="options-table-group-row" class="group-row">
                <td data-bind="group-name" colspan=4></td>
                <td class="designer-table-cell-small">
                  <span class="remove-group" data-bind="remove-group" align="right">
                    <span class="glyphicon glyphicon-remove"></span>
                  </span>
                </td>
              </tr>
              <tr data-bind="options-table-row">
                <td class="designer-table-cell-small" data-bind="options-show-cell">
                  <input type="checkbox" class="options-active" data-bind="options-active" title="set this option active/inactive">
                </td>
                <td data-bind="options-name" class="designer-table-cell"></td>
                <td data-bind="options-default-value" class="designer-table-cell"></td>
                <td data-bind="options-decorator" class="designer-table-cell"></td>
                <td class="designer-table-cell-small" align="right" data-bind="options-show-cell">
                  <span class="edit-option" data-bind="edit-option">
                    <span class="glyphicon glyphicon-pencil"></span>
                  </span>
                  <span class="remove-option" data-bind="remove-option">
                    <span class="glyphicon glyphicon-remove"></span>
                  </span>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      <div class="panel panel-default">
          <div class="panel-heading">
            <h4>
              <button type="button" class="btn btn-default btn-sm new-decorator">
                <span class="glyphicon glyphicon-plus"></span>
              </button>
              Range Modifiers
              <span class="help-icon" tabindex="0" role="button" data-trigger="focus" data-toggle="popover" data-placement="left" data-content="Range Modifiers are used to pass data on to options. In the simplest case they return the content of a parameter range">
                <span class="glyphicon glyphicon-question-sign"></span>
              </span>
            </h4>
          </div>
          <table class="decorator-table">
            <tbody class="decorator-table-body">
              <tr class="decorator-table-row">
                <td data-bind="decorators" class="designer-table-cell"></td>
                <td class="designer-table-cell-small" align="right" data-bind="decorator-icons">
                  <span class="edit-decorator">
                    <span class="glyphicon glyphicon-pencil"></span>
                  </span>
                  <span class="remove-decorator">
                    <span class="glyphicon glyphicon-remove"></span>
                  </span>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="col-md-6">
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4>
              <button type="button" class="btn btn-default btn-sm new-range">
                <span class="glyphicon glyphicon-plus"></span>
              </button>
              Parameter Ranges
              <span class="help-icon" tabindex="0" role="button" data-trigger="focus" data-toggle="popover" data-placement="left" data-content="Parameter Ranges are used to store arrays. Modifiers can access their content and pass it on to an option.">
                <span class="glyphicon glyphicon-question-sign"></span>
              </span>
            </h4>
          </div>
          <table class="ranges-table">
            <thead>
            <tr>
              <th>
                <input type="checkbox" class="all-ranges-checkbox" title="set all parameter ranges active/inactive">
              </th>
              <th>
                Name
              </th>
              <th>
                Values
              </th>
              <th>
                Script
              </th>
              <th></th>
            </tr>
            </thead>
            <tbody class="ranges-table-body">
            <tr class="range-table-row">
              <td class="designer-table-cell-small">
                <input type="checkbox" class="ranges-active" data-bind="ranges-active" title="set this parameter range active/inactive">
              </td>
              <td data-bind="ranges-name" class="designer-table-cell"></td>
              <td data-bind="ranges-values" class="designer-table-cell"></td>
              <td data-bind="ranges-script" class="designer-table-cell"></td>
              <td class="designer-table-cell-small" data-bind="ranges-icons">
                <span class="edit-range">
                  <span class="glyphicon glyphicon-pencil"></span>
                </span>
                <span class="remove-range">
                  <span class="glyphicon glyphicon-remove"></span>
                </span>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
        <div class="panel panel-default">
          <div class="panel-heading">
            <h4>
              <button type="button" class="btn btn-default refresh-preview">
                <span class="glyphicon glyphicon-refresh"></span>
              </button>
              Preview
            </h4>
          </div>
          <div class="panel-body preview-body">
            <div id="preview-ace" class="preview"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>